1

[alpine-devel] [PATCH] testing/gtest new aport

k0r10n
Details
Message ID
<1411703541-6620-1-git-send-email-k0r10n.dev@gmail.com>
Sender timestamp
1411703541
DKIM signature
missing
Download raw message
Patch: +56 -0
---
 testing/gtest/APKBUILD            | 55 +++++++++++++++++++++++++++++++++++++++
 testing/gtest/src/gtest-1.7.0.zip |  1 +
 2 files changed, 56 insertions(+)
 create mode 100644 testing/gtest/APKBUILD
 create mode 120000 testing/gtest/src/gtest-1.7.0.zip

diff --git a/testing/gtest/APKBUILD b/testing/gtest/APKBUILD
new file mode 100644
index 0000000..3957b32
--- /dev/null
+++ b/testing/gtest/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor:
+# Maintainer:
+pkgname=gtest
+pkgver=1.7.0
+pkgrel=0
+pkgdesc="Google Test - C++ testing utility based on the xUnit framework (like JUnit)"
+url="http://code.google.com/p/googletest"
+arch="all"
+license="BSD"
+depends="libgcc bash"
+depends_dev="python cmake"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://googletest.googlecode.com/files/${pkgname}-${pkgver}.zip"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	rm -rf build
+	mkdir build
+	cd build
+
+	cmake -DBUILD_SHARED_LIBS=ON \
+	      -DCMAKE_SKIP_RPATH=ON ../ || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	for dir in {"$pkgdir"/usr/lib,"$pkgdir"/usr/include/gtest/internal,"$pkgdir"/usr/share/licenses/gtest,"$pkgdir"/usr/src/gtest/cmake,"$pkgdir"/usr/src/gtest/src};do
+		mkdir -pm 0755 "$dir"
+	done
+	install -m 0644 build/libgtest*.so "$pkgdir"/usr/lib || return 1
+	install -m 0644 include/gtest/*.h "$pkgdir"/usr/include/gtest || return 1
+	install -m 0644 include/gtest/internal/*.h "$pkgdir"/usr/include/gtest/internal/ || return 1
+	install -m 0644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/ || return 1
+	install -m 0644 "$_builddir/fused-src/gtest"/* "$pkgdir"/usr/src/gtest/src/ || return 1
+	install -m 0644 "$_builddir/CMakeLists.txt" "$pkgdir"/usr/src/gtest/ || return 1
+	install -m 0644 "$_builddir/cmake"/* "$pkgdir"/usr/src/gtest/cmake/ || return 1
+}
+
+md5sums="2d6ec8ccdf5c46b05ba54a9fd1d130d7  gtest-1.7.0.zip"
+sha256sums="247ca18dd83f53deb1328be17e4b1be31514cedfc1e3424f672bf11fd7e0d60d  gtest-1.7.0.zip"
+sha512sums="8859369f2dd32cbc2ac01aba029aa3ff20a321f40658b9643aff442d34c33468221866b801b28c66a28af47dbcd362d26941fc98db92b6efb7e41ea5b7be1a07  gtest-1.7.0.zip"
diff --git a/testing/gtest/src/gtest-1.7.0.zip b/testing/gtest/src/gtest-1.7.0.zip
new file mode 120000
index 0000000..bd1db9f
--- /dev/null
+++ b/testing/gtest/src/gtest-1.7.0.zip
@@ -0,0 +1 @@
+/var/cache/distfiles/gtest-1.7.0.zip
\ No newline at end of file
-- 
2.0.0



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20140926164904.27ea31ef@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1411703541-6620-1-git-send-email-k0r10n.dev@gmail.com> (view parent)
Sender timestamp
1411742944
DKIM signature
missing
Download raw message
On Fri, 26 Sep 2014 07:52:21 +0400
k0r10n <k0r10n.dev@gmail.com> wrote:

> ---
>  testing/gtest/APKBUILD            | 55 +++++++++++++++++++++++++++++++++++++++
>  testing/gtest/src/gtest-1.7.0.zip |  1 +
>  2 files changed, 56 insertions(+)
>  create mode 100644 testing/gtest/APKBUILD
>  create mode 120000 testing/gtest/src/gtest-1.7.0.zip

Hi, it failed for me:

>>> gtest: Entering fakeroot...
install: can't create '/home/ncopa/aports/testing/gtest/pkg/gtest/usr/lib': No such file or directory
install: can't create
'/home/ncopa/aports/testing/gtest/pkg/gtest/usr/lib': No such file or
directory

> 
> diff --git a/testing/gtest/APKBUILD b/testing/gtest/APKBUILD
> new file mode 100644
> index 0000000..3957b32
> --- /dev/null
> +++ b/testing/gtest/APKBUILD
> @@ -0,0 +1,55 @@
> +# Contributor:
> +# Maintainer:
> +pkgname=gtest
> +pkgver=1.7.0
> +pkgrel=0
> +pkgdesc="Google Test - C++ testing utility based on the xUnit framework (like JUnit)"
> +url="http://code.google.com/p/googletest"
> +arch="all"
> +license="BSD"
> +depends="libgcc bash"
> +depends_dev="python cmake"
> +makedepends="$depends_dev"
> +install=""
> +subpackages="$pkgname-dev $pkgname-doc"
> +source="http://googletest.googlecode.com/files/${pkgname}-${pkgver}.zip"
> +
> +_builddir="$srcdir"/${pkgname}-${pkgver}
> +prepare() {
> +	local i
> +	cd "$_builddir"
> +	for i in $source; do
> +		case $i in
> +		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
> +		esac
> +	done
> +}
> +
> +build() {
> +	cd "$_builddir"
> +	rm -rf build
> +	mkdir build
> +	cd build
> +
> +	cmake -DBUILD_SHARED_LIBS=ON \
> +	      -DCMAKE_SKIP_RPATH=ON ../ || return 1
> +	make || return 1
> +}
> +
> +package() {
> +	cd "$_builddir"
> +	for dir in {"$pkgdir"/usr/lib,"$pkgdir"/usr/include/gtest/internal,"$pkgdir"/usr/share/licenses/gtest,"$pkgdir"/usr/src/gtest/cmake,"$pkgdir"/usr/src/gtest/src};do

This does not work ^^^

-nc



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---